summaryrefslogtreecommitdiff
path: root/patches/update-patches.sh
diff options
context:
space:
mode:
authorJocelyn Turcotte <jocelyn.turcotte@digia.com>2014-01-31 16:27:44 +0100
committerThe Qt Project <gerrit-noreply@qt-project.org>2014-02-03 17:50:35 +0100
commitecaab295f96e3d12fc952c49d35a6eb32f72aba1 (patch)
tree0274229243a57462c2a24f4162b597235ce9b755 /patches/update-patches.sh
parenta4b0e2183c23c0173167833c75f0e2970f3ab524 (diff)
downloadqtwebengine-ecaab295f96e3d12fc952c49d35a6eb32f72aba1.tar.gz
Make it easier to update patches and apply them manually
Clean the way that we maintain patches by keeping them ordered by their number and let the shell order them when giving the list to git am. Provide a update-patches.sh that maintains the proper command lines to use and run a cleaning script on the resulting patch to avoid the SHA1 to be added to the file as it changes every time the patch is applied. Change-Id: Ia93cf4b35f5f847a8723a31fc476443864242737 Reviewed-by: Andras Becsi <andras.becsi@digia.com>
Diffstat (limited to 'patches/update-patches.sh')
-rwxr-xr-xpatches/update-patches.sh68
1 files changed, 68 insertions, 0 deletions
diff --git a/patches/update-patches.sh b/patches/update-patches.sh
new file mode 100755
index 000000000..a0e73950c
--- /dev/null
+++ b/patches/update-patches.sh
@@ -0,0 +1,68 @@
+#!/bin/sh
+#############################################################################
+##
+## Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
+## Contact: http://www.qt-project.org/legal
+##
+## This file is part of the QtWebEngine of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and Digia. For licensing terms and
+## conditions see http://qt.digia.com/licensing. For further information
+## use the contact form at http://qt.digia.com/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 2.1 requirements
+## will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## In addition, as a special exception, Digia gives you certain additional
+## rights. These rights are described in the Digia Qt LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 3.0 as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU General Public License version 3.0 requirements will be
+## met: http://www.gnu.org/copyleft/gpl.html.
+##
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+THIRDPARTY_UPSTREAM_CHROMIUM_DIR="$( cd "$( dirname "$0" )"/../src/3rdparty_upstream/chromium && pwd )"
+SCRIPTS_DIR="$( cd "$( dirname "$0" )"/../tools/scripts && pwd )"
+PATCH_DIR="$( cd "$( dirname "$0" )"/chromium && pwd )"
+
+for MODULE in \
+ / \
+ /third_party/WebKit \
+ /third_party/libjingle/source/talk \
+ /tools/gyp \
+ /tools/grit
+do
+ cd $THIRDPARTY_UPSTREAM_CHROMIUM_DIR$MODULE
+ echo "Entering $PWD"
+ git rev-parse first-parent > /dev/null
+ if [ $? -ne 0 ]; then
+ echo "ERROR: Can't find the 'first-parent' git tag pointing where to start, you might have to re-run init-repository.py and re-apply your modifications."
+ exit 1
+ fi
+
+ rm $PATCH_DIR$MODULE/0*
+ git format-patch --no-signature -k -o $PATCH_DIR$MODULE first-parent
+ $SCRIPTS_DIR/clean_gitformatpatch_patchid.py $PATCH_DIR$MODULE/0*
+ cd $PATCH_DIR
+ git add --all $PATCH_DIR$MODULE
+done
+